
import com.imsl.chart.*;
import com.imsl.chart.qc.*;

public class SampleUChartUnequal extends JFrameChart {

    static final double inspectionUnitsPerRoll[] = {
        10, 8, 13, 10, 9.5, 10, 12, 10.5, 12, 12.5
    };
    static final int numberDefects[] = {
        14, 12, 20, 11, 7, 10, 21, 16, 19, 23
    };

    public SampleUChartUnequal() {
        Chart chart = getChart();
        AxisXY axis = new AxisXY(chart);
        new UChart(axis, inspectionUnitsPerRoll, numberDefects);

        axis.getAxisX().getAxisTitle().setTitle("Sample Number");
        axis.getAxisX().getAxisLabel().setTextFormat("0");
        axis.getAxisY().getAxisTitle().setTitle("Defects per Unit");
    }

    public static void main(String argv[]) {
        new SampleUChartUnequal().setVisible(true);
    }
}
